View Issue Details

IDProjectCategoryView StatusLast Update
0007257GNUnettransport servicepublic2022-08-05 16:19
Reportertemp-user Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformArchOSGNU/LinuxOS Version5.18.2-arch1-1
Product VersionGit master 
Target Version0.17.3 
Summary0007257: [0.17] gnutls-certtool: command not found
DescriptionFrom trasnport.log:

/usr/bin/gnunet-transport-certificate-creation: line 108: gnutls-certtool: command not found

ArchLinux (not only) know "certtool" and not "gnutls-certtool".
Tagscertificate, certtool, gnutls, transport

Activities

yosik

2022-08-02 18:34

reporter   ~0018986

Same issue on GNU Guix when building 0.17.2. Test `test_transport_api_https` fails due to this error. Related output:
```
FAIL: test_transport_api_https
==============================

/gnu/store/wja7zc64rvwxipd3svw8r3m46r1ix3mq-gnunet-0.17.2/bin/gnunet-transport-certificate-creation: line 108: gnutls-certtool: command not found
2022-08-02T13:05:27.795597+0000 transport-https_server-19275 ERROR Failed to start transport-https_server IPv4 server component on port 12077
2022-08-02T13:05:27.795724+0000 transport-https_server-19275 ERROR Failed to start transport-https_server IPv6 server component on port 12077
2022-08-02T13:05:27.795734+0000 transport-https_server-19275 ERROR No transport-https_server server component started on port 12077
2022-08-02T13:05:27.795981+0000 transport-19275 ERROR Failed to load transport plugin for `libgnunet_plugin_transport_https_server'
2022-08-02T13:05:57.518405+0000 test_transport_api_https-19257 WARNING Testcase timed out
FAIL test_transport_api_https (exit status: 1)
```

schanzen

2022-08-02 20:20

administrator   ~0018987

Fix committed to master branch.

schanzen

2022-08-02 20:20

administrator   ~0018988

I fixed the detection (I hope) but I think the test itself is still buggy. For that, we should then probably use another issue.

Issue History

Date Modified Username Field Change
2022-06-10 14:08 temp-user New Issue
2022-06-10 14:08 temp-user Tag Attached: certificate
2022-06-10 14:08 temp-user Tag Attached: certtool
2022-06-10 14:08 temp-user Tag Attached: gnutls
2022-06-10 14:08 temp-user Tag Attached: transport
2022-08-02 18:34 yosik Note Added: 0018986
2022-08-02 20:05 schanzen Assigned To => schanzen
2022-08-02 20:05 schanzen Status new => assigned
2022-08-02 20:20 schanzen Changeset attached => gnunet master d7dde288
2022-08-02 20:20 schanzen Note Added: 0018987
2022-08-02 20:20 schanzen Status assigned => resolved
2022-08-02 20:20 schanzen Resolution open => fixed
2022-08-02 20:20 schanzen Note Added: 0018988
2022-08-02 20:22 schanzen Target Version => 0.17.3
2022-08-05 16:19 schanzen Status resolved => closed